AIScanGroupJob (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.server.session.AIScanGroupJob class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.server.session
Class AIScanGroupJob

    java.lang.Object
      org.hyperic.hq.scheduler.server.session.BaseJob
          org.hyperic.hq.autoinventory.server.session.AIJob
              org.hyperic.hq.autoinventory.server.session.AIScanGroupJob

All Implemented Interfaces:
  org.quartz.Job

    public class AIScanGroupJob

extends AIJob

A quartz job class for handling AI scans on a group entity

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Fields inherited from class org.hyperic.hq.autoinventory.server.session.AIJob
`JOB_WAIT_INTERVAL, PROP_CONFIG, PROP_SCAN_OS, PROP_SCANDESC, PROP_SCANNAME`

Fields inherited from class org.hyperic.hq.scheduler.server.session.BaseJob
`manager, PROP_DESCRIPTION, PROP_ID, PROP_ORDER, PROP_SCHEDULED, PROP_SCHEDULESTRING, PROP_SUBJECT, PROP_TYPE`

Constructor Summary
`AIScanGroupJob()`

Method Summary
`void` | `executeInSession(org.quartz.JobExecutionContext context)`

Methods inherited from class org.hyperic.hq.autoinventory.server.session.AIJob
`createHistory, doAgentScan, getAutoInventoryManager, getScanConfig, removeHistory, updateHistory`

Methods inherited from class org.hyperic.hq.scheduler.server.session.BaseJob
`execute, getOrder, getSubject, getSubjectManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### AIScanGroupJob

    public AIScanGroupJob()

Method Detail

### executeInSession

    public void executeInSession(org.quartz.JobExecutionContext context)
                          throws org.quartz.JobExecutionException

  Specified by:
    `executeInSession` in class `BaseJob`
  Throws:
    `org.quartz.JobExecutionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.